> ## Documentation Index
> Fetch the complete documentation index at: https://docs.proofy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload by url

> Verifies one or multiple emails in a file by your url

The file creation endpoint allows you to verify multiple emails at once by creating a task to process the file asynchronously.
Verification results are not included in the response.

### File upload recommendation

Your `file_url` must be public – ensure that the source you provide is accessible to everyone.

For efficiency and deduplication, submit data in a single task rather than splitting it.
For example, submit one file with 50k emails instead of 10 files of 5k each. If using data from a CRM, buffer it locally before submission.

### Size limiting

The Bulk API supports files up to 65 MB.


## OpenAPI

````yaml POST /verify/file/create
openapi: 3.0.3
info:
  title: Proofy Api
  description: Some text
  termsOfService: https://proofy.io/terms
  contact:
    email: support@proofy.io
  version: 1.1.0
servers:
  - url: https://apis.proofy.io/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Widget
    description: Everything about JS Widget
  - name: Single Email
    description: Single email check
  - name: Batch Emails
    description: Batch emails check
  - name: File upload
    description: Upload a file containing emails
paths:
  /verify/file/create:
    post:
      tags:
        - Upload file
      description: Upload file with emails for verification
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FileCreateRequest'
            example:
              file_url: http://example.com/full/path/to/file.csv
              file_name: Your file name.csv
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateFileResponse'
        '400':
          $ref: '#/components/responses/HttpErrorResponseNotEnoughCredits400'
        '401':
          $ref: '#/components/responses/HttpErrorResponse401'
        '404':
          $ref: '#/components/responses/HttpErrorResponse404'
        '500':
          $ref: '#/components/responses/HttpErrorResponse500'
components:
  schemas:
    FileCreateRequest:
      type: object
      properties:
        file_url:
          type: string
        file_name:
          type: string
    CreateFileResponse:
      type: object
      properties:
        status:
          type: string
        id:
          type: string
      example:
        status: parsing
        id: 9b034ae4-9d28-4c5b-9cca-1b3871a9adc1
  responses:
    HttpErrorResponseNotEnoughCredits400:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Not enough credits
    HttpErrorResponse401:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Unauthorized
    HttpErrorResponse404:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Not Found
    HttpErrorResponse500:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Internal Server Error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: query
      name: api_key

````